GraphicsMagick 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1562463 漏洞类型 缓冲区错误
发布时间 2019-04-08 更新时间 2019-04-09
CVE编号 CVE-2019-11005 CNNVD-ID CNNVD-201904-325
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201904-325
|漏洞详情
GraphicsMagick是一套简单的图像处理工具。该工具对图像提供尺寸调整、旋转、加亮等功能。 GraphicsMagick 1.4 snapshot-20190322 Q8版本中的coders/svg.c文件的‘SVGStartElement’函数存在基于栈的缓冲区溢出漏洞,该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:MISC

链接:http://hg.graphicsmagick.org/hg/GraphicsMagick/rev/b6fb77d7d54d


来源:MISC

链接:https://sourceforge.net/p/graphicsmagick/bugs/600/